# TMR_TagData Struct Reference
[Tag filters]

`#include <tmr_tag_data.h>`

List of all members.

## Public Attributes

uint8_t | epc [TMR_MAX_EPC_BYTE_COUNT]
TMR_TagProtocol | protocol
uint8_t | epcByteCount
uint16_t | crc
union {
TMR_GEN2_TagData gen2
} | u

## Detailed Description

A structure to represent RFID tags.

## Member Data Documentation

uint16_t TMR_TagData::crc

Tag CRC

uint8_t TMR_TagData::epc[TMR_MAX_EPC_BYTE_COUNT]

Tag EPC

uint8_t TMR_TagData::epcByteCount

Length of the tag's EPC in bytes

TMR_GEN2_TagData TMR_TagData::gen2

Gen2-specific tag information

TMR_TagProtocol TMR_TagData::protocol

Protocol of the tag

union { ... } TMR_TagData::u

Protocol-specific tag information

The documentation for this struct was generated from the following file:

- tmr_tag_data.h